# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name chalmers-lava2000

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} library

# main description used for all the subpackages
%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        1.1.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        README.fedora
Patch0:         ghc-chalmers-lava2000-remove-verification-modules.patch       

ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
# BR any C devel dependency here
# list ghc-*-prof dependencies:
BuildRequires:  ghc 


%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .orig
%{__install} -pm 644 %{SOURCE1} .


%build
# define cabal_configure_options -f "opt1 -opt2 ..."
%ghc_lib_build


%install
%ghc_lib_install


# cleanup extra data files
echo "%{_datadir}/%{pkg_name}-%{version}" >> %{name}-devel.files
%{__mv} %{buildroot}%{_datadir}/%{pkg_name}-%{version}/Doc/tutorial.ps .
%{__gzip} tutorial.ps
echo "%doc tutorial.ps.gz" >> %{name}-doc.files
%{__rm} -r %{buildroot}%{_datadir}/%{pkg_name}-%{version}/{Doc,INSTALL}


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Thu Dec 29 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.1.2-1
- Updated to use cabal2spec-0.24.1.
- Updated to 1.1.2.

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1-12.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.1.1-12.1
- rebuild with new gmp

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 1.1.1-12
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.1-11
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 1.1.1-9
- update to cabal2spec-0.22.4

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-8
- bump base to 4 for ghc 7
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-7
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Tue Jun 29 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-6
- update to cabal2spec-0.22.1

* Mon May 24 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-5
- Keep lava.vhd in datadir so users can find it easily (#546376)
- Improve summary and description

* Fri May 21 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-4
- Include the extra data files as doc files instead in the base package

* Tue Apr 13 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-3
- Removed INSTALL file.
- Gzip tutorial.ps and move it to docdir.
- Move Vhdl folder to docdir.
- Removed chalmers folder.

* Thu Apr 08 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-2
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.3.
- Added BSD license.

* Sun Dec 20 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-1
- Added README.fedora, instead of using default README.
- Remove Scripts folder.
- Created patch to remove verification modules that use wrapper scripts.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.1.1

* Mon Dec 14 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.0-1
- Upstream fixed LAVADIR path as per recommendation.
- Upstream changed import Lava2000 to Lava.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.1.0

* Thu Dec 10 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.0.2-1
- Set LAVADIR path with sed.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.0.2

